# -*- encoding: utf-8 -*-
# Software Management Providers
#
# Copyright (C) 2012 Red Hat, Inc.  All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#
# Authors: Michal Minar <miminar@redhat.com>
#
"""
Exceptions raisable by YumWorker.
"""

class DatabaseLockError(Exception):
    """Raised, when the yum database can not be locked."""
    pass
class TransactionError(Exception):
    """Base exception representing yum transaction processing error."""
    pass
class TransactionBuildFailed(TransactionError):
    """Raised, when transaction building fails."""
    pass
class TransactionExecutionFailed(TransactionError):
    """Raised, when YumBase.doTransaction() method fails."""
    pass
class UnknownJob(Exception):
    """Raised, when no handler is available for given job on worker."""
    pass
class PackageNotFound(Exception):
    """Raised, when requested package could not be found."""
    pass
